# Retrieving ACS System Details

You can list details for all the ACSs in your [workspace](/latest/core-concepts/workspaces.md) or get these details for a specific ACS. Note that Seam represents the ACS as an [`acs_system`](https://docs.seam.co/latest/api/acs/systems/) resource. When you want to [create ACS users](/latest/capability-guides/access-systems/user-management.md#create-a-user) for your ACS, you must first obtain the ID of the `acs_system` for which you want to create these users.

***

## List ACS Systems

You can [list all `acs_system` resources](https://docs.seam.co/latest/api/acs/systems/list) in your workspace. Note the `acs_system_id` in the response.

{% tabs %}
{% tab title="JavaScript" %}
**Request:**

```javascript
await seam.acs.systems.list();
```

**Response:**

```json
[
  {
    acs_system_id: '11111111-1111-1111-1111-111111111111',
    name: 'Visionline System',
    ...
  },
  ...
]
```

{% endtab %}

{% tab title="cURL" %}
**Request:**

```bash
# Use GET or POST.
curl -X 'GET' \
  'https://connect.getseam.com/acs/systems/list' \
  -H 'accept: application/json' \
  -H "Authorization: Bearer ${API_KEY}" \
  -H 'Content-Type: application/json' \
  -d '{}'
```

**Response:**

```json
{
  "acs_systems": [
    {
      "acs_system_id": "11111111-1111-1111-1111-111111111111",
      "name": "Visionline System",
      ...
    },
    ...
  ],
  "ok": true
}
```

{% endtab %}

{% tab title="Python" %}
**Request:**

```python
seam.acs.systems.list()
```

**Response:**

```
[
  AcsSystem(
    acs_system_id='11111111-1111-1111-1111-111111111111',
    name='Visionline System',
    ...
  ),
  ...
]
```

{% endtab %}

{% tab title="Ruby" %}
**Request:**

```ruby
# Coming soon!
```

**Response:**

```
# Coming soon!
```

{% endtab %}

{% tab title="PHP" %}
**Request:**

```php
$seam->acs->systems->list();
```

**Response:**

```json
[
  {
    "acs_system_id": "11111111-1111-1111-1111-111111111111",
    "name": "Visionline System",
    ...
  },
  ...
]
```

{% endtab %}

{% tab title="C#" %}
**Request:**

```csharp
seam.SystemsAcs.List();
```

**Response:**

```json
{
  "acs_system_id": "11111111-1111-1111-1111-111111111111",
  "name": "Visionline System",
  ...
}
...
```

{% endtab %}
{% endtabs %}

***

## Get an ACS System

You can [get the details of a specific `acs_system`](https://docs.seam.co/latest/api/acs/systems/get) in your workspace. These details include the `acs_system_id`, date and time at which the `acs_system` was created in Seam, the name and type of the `acs_system`, and so on.

{% tabs %}
{% tab title="JavaScript" %}
**Request:**

```javascript
await seam.acs.systems.get({
  acs_system_id: "11111111-1111-1111-1111-111111111111"
});
```

**Response:**

```json
{
  acs_system_id: '11111111-1111-1111-1111-111111111111',
  name: 'Example Inc',
  workspace_id: '00000000-0000-0000-0000-000000000000',
  created_at: '2023-11-30T06:27:14.961Z',
  external_type: 'pti_site',
  external_type_display_name: 'PTI site',
  connected_account_ids: [ '11111111-1111-1111-1111-222222222222' ],
  image_url: 'https://connect.getseam.com/assets/images/acs_systems/pti_site.png',
  image_alt_text: 'PTI site Logo'
}
```

{% endtab %}

{% tab title="cURL" %}
**Request:**

```bash
# Use GET or POST.
curl -X 'GET' \
  'https://connect.getseam.com/acs/systems/get' \
  -H 'accept: application/json' \
  -H "Authorization: Bearer ${API_KEY}" \
  -H 'Content-Type: application/json' \
  -d '{
  "acs_system_id": "11111111-1111-1111-1111-111111111111"
}'
```

**Response:**

```json
{
  "acs_system": {
    "acs_system_id": "11111111-1111-1111-1111-111111111111",
    "name": "Example Inc",
    "workspace_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2023-11-30T06:27:14.961Z",
    "external_type": "pti_site",
    "external_type_display_name": "PTI site",
    "connected_account_ids": [
      "11111111-1111-1111-1111-222222222222"
    ],
    "image_url": "https://connect.getseam.com/assets/images/acs_systems/pti_site.png",
    "image_alt_text": "PTI site Logo"
  },
  "ok": true
}
```

{% endtab %}

{% tab title="Python" %}
**Request:**

```python
seam.acs.systems.get(
 acs_system_id="11111111-1111-1111-1111-111111111111"
)
```

**Response:**

```
AcsSystem(
  acs_system_id='11111111-1111-1111-1111-111111111111',
  name='Example Inc',
  workspace_id='00000000-0000-0000-0000-000000000000',
  created_at='2023-11-30T06:27:14.961Z',
  external_type='pti_site',
  external_type_display_name='PTI site",
  connected_account_ids=[
    '11111111-1111-1111-1111-222222222222'
  ],
  image_url='https://connect.getseam.com/assets/images/acs_systems/pti_site.png',
  image_alt_text='PTI site Logo'
)
```

{% endtab %}

{% tab title="Ruby" %}
**Request:**

```ruby
# Coming soon!
```

**Response:**

```
# Coming soon!
```

{% endtab %}

{% tab title="PHP" %}
**Request:**

```php
$seam->acs->systems->get(
  acs_system_id: "11111111-1111-1111-1111-111111111111"
);
```

**Response:**

```json
{
  "acs_system_id": "11111111-1111-1111-1111-111111111111",
  "name": "Example Inc",
  "workspace_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2023-11-30T06:27:14.961Z",
  "external_type": "pti_site",
  "external_type_display_name": "PTI site",
  "connected_account_ids": [
    "11111111-1111-1111-1111-222222222222"
  ],
  "image_url": "https://connect.getseam.com/assets/images/acs_systems/pti_site.png",
  "image_alt_text": "PTI site Logo"
}
```

{% endtab %}

{% tab title="C#" %}
**Request:**

```csharp
seam.SystemsAcs.Get(
  acsSystemId: "11111111-1111-1111-1111-111111111111"
);
```

**Response:**

```json
{
  "acs_system_id": "11111111-1111-1111-1111-111111111111",
  "name": "Example Inc",
  "workspace_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2023-11-30T06:27:14.961Z",
  "external_type": "pti_site",
  "external_type_display_name": "PTI site",
  "connected_account_ids": [
    "11111111-1111-1111-1111-222222222222"
  ],
  "image_url": "https://connect.getseam.com/assets/images/acs_systems/pti_site.png",
  "image_alt_text": "PTI site Logo"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seam.co/latest/capability-guides/access-systems/connect-an-acs-to-seam/retrieving-acs-system-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
